| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_RNDIS_Device_t Struct Reference
RNDIS Class Device Mode Driver

RNDIS Class Device Mode Configuration and State Structure. More...

`#include <RNDISClassDevice.h>`

## Data Fields
struct {
MAC_Address_t AdapterMACAddress
char * AdapterVendorDescription
uint8_t ControlInterfaceNumber
USB_Endpoint_Table_t DataINEndpoint
USB_Endpoint_Table_t DataOUTEndpoint
USB_Endpoint_Table_t NotificationEndpoint
} | Config
struct {
uint32_t CurrPacketFilter
uint8_t CurrRNDISState
bool ResponseReady
uint8_t RNDISMessageBuffer [RNDIS_MESSAGE_BUFFER_SIZE]
} | State

## Detailed Description

Class state structure. An instance of this structure should be made for each RNDIS interface within the user application, and passed to each of the RNDIS class driver functions as the `RNDISInterfaceInfo` parameter. This stores each RNDIS interface's configuration and state information.

## Field Documentation

MAC_Address_t USB_ClassInfo_RNDIS_Device_t::AdapterMACAddress

MAC address of the adapter.

char* USB_ClassInfo_RNDIS_Device_t::AdapterVendorDescription

String description of the adapter vendor.

struct { ... } USB_ClassInfo_RNDIS_Device_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t USB_ClassInfo_RNDIS_Device_t::ControlInterfaceNumber

Interface number of the RNDIS control interface within the device.

uint32_t USB_ClassInfo_RNDIS_Device_t::CurrPacketFilter

Current packet filter mode, used internally by the class driver.

uint8_t USB_ClassInfo_RNDIS_Device_t::CurrRNDISState

Current RNDIS state of the adapter, a value from the RNDIS_States_t enum.

USB_Endpoint_Table_t USB_ClassInfo_RNDIS_Device_t::DataINEndpoint

Data IN endpoint configuration table.

USB_Endpoint_Table_t USB_ClassInfo_RNDIS_Device_t::DataOUTEndpoint

Data OUT endpoint configuration table.

USB_Endpoint_Table_t USB_ClassInfo_RNDIS_Device_t::NotificationEndpoint

Notification IN Endpoint configuration table.

bool USB_ClassInfo_RNDIS_Device_t::ResponseReady

Internal flag indicating if a RNDIS message is waiting to be returned to the host.

uint8_t USB_ClassInfo_RNDIS_Device_t::RNDISMessageBuffer[RNDIS_MESSAGE_BUFFER_SIZE]

Buffer to hold RNDIS messages to and from the host, managed by the class driver.

struct { ... } USB_ClassInfo_RNDIS_Device_t::State

State data for the USB class interface within the device. All elements in this section are reset to their defaults when the interface is enumerated.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Device/RNDISClassDevice.h